Cyberduck Mountain Duck CLI

#11640 closed defect (fixed)

Failed to read attributes - 301 Moved Permanently but no location header

Reported by: phistrom Owned by: dkocher
Priority: high Milestone: 7.9.0
Component: s3 Version: 7.8.3
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

Cannot download from a bucket in us-east-2. When I try, I get "Failure to read attributes of <file name>. Received redirect response HTTP/1.1 301 Moved Permanently but no location header."

When I expand the Error window, I see that it is trying to use the URL <bucket-name>.s3.dualstack.us-east-1.amazonaws.com

The Location header may be missing, but I do see a x-amz-bucket-region: us-east-2 response header in there that could be helpful.

Attachments (1)

cyberduck-error-message.txt (3.8 KB) - added by phistrom on Mar 31, 2021 at 2:28:27 AM.
Error message

Download all attachments as: .zip

Change History (9)

Changed on Mar 31, 2021 at 2:28:27 AM by phistrom

Error message

comment:1 follow-up: Changed on Apr 8, 2021 at 7:29:31 AM by dkocher

We are querying the bucket region using GET /?location= HTTP/1.1. Can you verify this requests succeeds meaning that your IAM policy allows to query the region of a bucket. This requires the user has the s3:GetBucketLocation permission.

comment:2 Changed on Apr 8, 2021 at 7:30:29 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please provide the full log output if you are unable to resolve.

comment:3 in reply to: ↑ 1 Changed on Apr 8, 2021 at 6:01:04 PM by phistrom

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to dkocher

The credentials in question have the AmazonS3FullAccess built-in policy attached. That policy contains:

{
    "Version": "2012-10-17",
    "Statement": [
        {
            "Effect": "Allow",
            "Action": "s3:*",
            "Resource": "*"
        }
    ]
}

comment:4 Changed on Apr 16, 2021 at 1:03:23 PM by dkocher

  • Milestone set to 7.8.6

comment:5 Changed on Apr 16, 2021 at 1:03:36 PM by dkocher

  • Owner set to dkocher
  • Status changed from reopened to new

comment:6 Changed on Apr 16, 2021 at 1:03:55 PM by dkocher

  • Status changed from new to assigned

comment:7 Changed on Apr 20, 2021 at 10:28:05 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50967.

comment:8 Changed on Apr 29, 2021 at 5:27:41 PM by dkocher

  • Milestone changed from 7.8.6 to 7.9.0

Milestone renamed

Note: See TracTickets for help on using tickets.